package com.ximai.mes.tm.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Objects;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TmToolRequestItemVo {
    private Long itemId;
    private String itemName;
    private Integer AllQuantity;
    private Integer nextMaintenPeriod;


    // 必须重写equals()和hashCode()方法
    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj == null || getClass() != obj.getClass()) return false;
        TmToolRequestItemVo fruit = (TmToolRequestItemVo) obj;
        return itemId.equals(fruit.itemId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(itemId);
    }
}
